sasl_client_init(3)

NAME
sasl_client_init - SASL client authentication initialization

SYNOPSIS
#include <sasl/sasl.h>

int sasl_client_init(const  sasl_callback_t *callbacks);

DESCRIPTION
sasl_client_init() initializes SASL. It must be called before any calls to sasl_client_start. This call initializes all SASL client drivers (e.g. authentication mechanisms). These are usually found in the /usr/lib/sasl2 directory but the directory may be overridden with the SASL_PATH environment variable.

callbacks specifies the base callbacks for all client connections. See the sasl_callbacks man page for more information

RETURN VALUE
sasl_client_init returns an integer which corresponds to one of the following codes. SASL_OK is the only one that indicates success. All others indicate errors and should either be handled or the authentication session should be quit.

ERRORS

SASL_OK
    Success

SASL_BADVERS
    Mechanism version mismatch

SASL_BADPARAM
    Error in config file

SASL_NOMEM
    Not enough memory to complete operation

CONFORMING TO
RFC 4422

SEE ALSO
sasl(3), sasl_callbacks(3), sasl_client_new(3), sasl_client_start(3), sasl_client_step(3)